# Module `pl.url`

Python-style URL quoting library.

## Functions

quote (s, quote_plus) | Quote the url, replacing special characters using the '%xx' escape.
unquote (s) | Unquote the url, replacing '%xx' escapes and plus signs.

## Functions

quote (s, quote_plus)
  Quote the url, replacing special characters using the '%xx' escape.

  ### Parameters:

  - s string the string
  - quote_plus boolean Also escape slashes and replace spaces by plus signs.

  ### Returns:

  The quoted string, or if `s` wasn't a string, just plain unaltered `s`.
unquote (s)
  Unquote the url, replacing '%xx' escapes and plus signs.

  ### Parameters:

  - s string the string

  ### Returns:

  The unquoted string, or if `s` wasn't a string, just plain unaltered `s`.

generated by LDoc 1.5.0